summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-01 10:51:13 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-01 10:51:13 +0000
commit68ae2104d8a0ab3fc42feff292eb1274c0b6cad1 (patch)
treebaa7516c0672fbfe50b610feaaf931a09857831d /bin
parentd24e3bf5e266ec819e25a732610b3b62db4c1701 (diff)
downloadportage-68ae2104d8a0ab3fc42feff292eb1274c0b6cad1.tar.gz
portage-68ae2104d8a0ab3fc42feff292eb1274c0b6cad1.tar.bz2
portage-68ae2104d8a0ab3fc42feff292eb1274c0b6cad1.zip
When echoing the emake command, redirect to stderr since otherwise it breaks
the gcc ebuild because of the way that the get_make_var() function from toolchain.eclass is used. svn path=/main/trunk/; revision=11784
Diffstat (limited to 'bin')
-rwxr-xr-xbin/emake2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/emake b/bin/emake
index e484b4de9..db5b30b59 100755
--- a/bin/emake
+++ b/bin/emake
@@ -11,6 +11,6 @@
# /etc/make.globals here because emake is only called from an
# ebuild.
-[[ $PORTAGE_QUIET = 1 ]] || echo ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@"
+[[ $PORTAGE_QUIET = 1 ]] || echo ${MAKE:-make} $MAKEOPTS $EXTRA_EMAKE "$@" >&2
exec ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@"